.overview {
    display: flex;
    align-items: center;
    gap: 1rem;

    border-bottom: var(--line);

    @include respond-to('mobile-small') {
        flex-direction: column;
        align-items: center;
    }

    &__title {
        font-size: 2.25rem;
        font-weight: 300;
        text-transform: uppercase;
        letter-spacing: 1px;
        padding: 1.5rem 3rem;

        @include respond-to('mobile') {
            padding: 1rem;
        }

        @include respond-to('mobile-small') {
            font-size: 1.8rem;
            padding: 1rem 0 0 0;
            margin: 0;
        }
    }

    &__stars {
        display: flex;
    }

    &__star-icon,
    &__location-icon {
        width: 1.75rem;
        height: 1.75rem;

        fill: var(--color-primary);
    }

    &__location {
        display: flex;
        align-items: center;
        margin-left: auto;

        font-size: 1.2rem;

        @include respond-to('mobile-small') {
            margin: 0;
        }
    }

    &__location-icon {
        margin-right: 0.5rem;
    }

    &__rating {
        align-self: stretch;

        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        padding: 0 2.25rem;

        background-color: var(--color-primary);
        color: $color-white;

        @include respond-to('mobile') {
            padding: 0 1.5rem;
        }
    }

    &__rating-avg {
        font-size: 2.25rem;
        font-weight: 300;

        @include respond-to('mobile') {
            font-size: 1.5rem;
        }
    }

    &__rating-count {
        font-size: 0.8rem;
        text-transform: uppercase;
    }
}
